Bug 9250 - Provide commands to allow handling of SIP servers in the packages
Summary: Provide commands to allow handling of SIP servers in the packages
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Robin Sheat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-10 05:57 UTC by Robin Sheat
Modified: 2013-12-05 20:09 UTC (History)
3 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9250 - provide commands to manage the SIP server (14.77 KB, patch)
2012-12-11 02:28 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 9250 - provide commands to manage the SIP server (14.77 KB, patch)
2012-12-11 02:59 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 9250 - provide commands to manage the SIP server (14.80 KB, patch)
2012-12-18 05:26 UTC, Robin Sheat
Details | Diff | Splinter Review
Bug 9250 - provide commands to manage the SIP server (15.35 KB, patch)
2013-03-05 11:37 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 9250 - [SIGNED-OFF] provide commands to manage the SIP server (15.37 KB, patch)
2013-03-05 11:38 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 9250 - Followup to add koha-*-sip commands to koha-common.xml (1.58 KB, patch)
2013-03-05 12:56 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 9250 - Followup to add koha-*-sip commands to koha-common.xml (1.65 KB, patch)
2013-03-05 23:10 UTC, Robin Sheat
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Sheat 2012-12-10 05:57:45 UTC
Currently handling of SIP servers is done outside the packages. This means that a server reboot tends to cause the SIP server to not restart again, unless you make your own init script. This isn't ideal.
Comment 1 Robin Sheat 2012-12-11 02:28:46 UTC Comment hidden (obsolete)
Comment 2 Robin Sheat 2012-12-11 02:59:29 UTC Comment hidden (obsolete)
Comment 3 Robin Sheat 2012-12-18 05:26:28 UTC Comment hidden (obsolete)
Comment 4 Magnus Enger 2013-03-05 11:37:46 UTC Comment hidden (obsolete)
Comment 5 Magnus Enger 2013-03-05 11:38:41 UTC
Created attachment 15887 [details] [review]
Bug 9250 - [SIGNED-OFF] provide commands to manage the SIP server

This adds commands required to control the SIP server. These commands
are:
* koha-enable-sip - copies the SIP config to the sites directory
* koha-start-sip - starts the SIP server processes
* koha-stop-sip - stops the SIP server processes

It also calls these as appropriate from the koha-common init script.

To use:
1) sudo koha-enable-sip instancename
2) sudo vim /etc/koha/sites/instancename/SIPconfig.xml
   Do whatever is needed for your site's SIP configuration
3) sudo koha-start-sip instancename

To test:
1) Build packages with this patch
2) Ensure that sudo koha-start-sip instancename doesn't do anything
3) Run sudo koha-enable-sip instancename
4) Edit /etc/koha/sites/instancename/SIPconfig.xml if needed (probably
   not required for testing)
5) Run sudo koha-start-sip instancename
6) Note that the sip processes are now running
7) Run sudo koha-stop-sip instancename
8) Note that the sip processes have gone
9) Reboot your Koha server
10) Note that the sip processes are back

Sponsored-By: Waitaki District Council Libraries
Sponsored-By: South Taranaki District Council Libraries
Sponsored-By: Horowhenua District Council Libraries
Sponsored-By: Rangitikei District Council Libraries

Signed-off-by: Magnus Enger <magnus@enger.priv.no>
Works as advertised. koha-start-sip without a prior koha-enable-sip
does nothing. koha-enable-sip copies the SIP config file to the
instance directory. After koha-enable-sip, koha-start-sip and
koha-stop-sip works as expected. After a reboot, the SIP processes are
still running. I have not actually tested the SIP servers after they
have been started, but assume they work the same as always.
The man pages look good.

The new commands should also have been added to the man page for
koha-common. I'll do a followup for that.
Comment 6 Magnus Enger 2013-03-05 12:56:32 UTC Comment hidden (obsolete)
Comment 7 Robin Sheat 2013-03-05 23:10:40 UTC
Created attachment 15897 [details] [review]
Bug 9250 - Followup to add koha-*-sip commands to koha-common.xml

The original patch for Bug 9250 did not add the new commands to
debian/docs/koha-common.xml, which functions as a sort of table
of contents for the real commands. This patch adds them.

Signed-off-by: Robin Sheat <robin@catalyst.net.nz>

Simple documentation patch
Comment 8 Robin Sheat 2013-04-11 23:16:35 UTC
Passing QA as it doesn't touch anything outside the packaging directory.
Comment 9 Jared Camins-Esakov 2013-05-02 02:33:54 UTC
This patch has been pushed to master and 3.12.x.
Comment 10 Chris Cormack 2013-05-09 09:25:00 UTC
Pushed to 3.10.x will be in 3.10.6